Name:           perl-HTML-Scrubber
Version:        0.19
Release:    1%{?dist}
Summary:        Library for scrubbing/sanitizing html
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTML-Scrubber
Source0:        https://cpan.metacpan.org/authors/id/P/PO/PODMASTER/HTML-Scrubber-%{version}.tar.gz
BuildArch:      noarch
BuildRequires: make
BuildRequires:  perl-generators
BuildRequires:  perl(Test::More) perl(Test::EOL) perl(Test::Memory::Cycle) perl(Test::NoTabs)
BuildRequires:	perl(Carp) perl(File::Spec) perl(File::Temp) perl(HTML::Entities) perl(utf8)
BuildRequires:  perl(IO::Handle) perl(IPC::Open3) perl(Test::CPAN::Meta)
BuildRequires:	perl(Module::Build) perl(Scalar::Util) perl(Test) perl(Test::Pod::Coverage)
BuildRequires:	perl(ExtUtils::MakeMaker) perl(Pod::Coverage::TrustPod) 
BuildRequires:  perl(Test::CPAN::Meta) perl(Test::Differences) perl(Test::Kwalitee) perl(Test::Pod)
BuildRequires:	perl(HTML::Parser) >= 3.47
BuildRequires:	perl(List::Util) >= 1.33
BuildRequires:	perl(strict), perl(warnings)

%description
If you wanna "scrub" or "sanitize" html input in a reliable an flexible
fashion, then this module is for you.
I wasn't satisfied with HTML::Sanitizer because it is based on
HTML::TreeBuilder, so I thought I'd write something similar that works
directly with HTML::Parser.

%prep
%setup -q -n HTML-Scrubber-%{version}
%{__perl} -pi -e 's/\r\n/\n/' Changes LICENSE README Scrubber.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/HTML/
%{_mandir}/man3/*.3pm*

%changelog
* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19-1
- initial build
